#include <stdio.h>
#include <string>
#include <iostream>
#include <cstdio>
#include <cstdlib>
#include <string>
#include <cstring>
#include <vector>

using namespace std;

template <typename T>
int len(T args) { return args.size(); }

vector<string> split(string &s, const char &c)
{
    string buffer{""};

    vector<string> resultado;

    for (char caractere : s)
    {
        if (caractere != c)
        {
            buffer += caractere;
        }
        else
        {
            resultado.push_back(buffer);
            buffer = "";
        }
    }
    if (buffer != "")
    {
        resultado.push_back(buffer);
        buffer = "";
    }

    return resultado;
}

int main(int argc, char **argv)
{
    string linha;

    int dezenas[60][2];

    for (int x = 0; x < 60; x++)
    {
        for (int y = 0; y < 2; y++)
        {
            dezenas[x][y] = 0;
        }
    }
    while (true)
    {
        getline(cin, linha);

        if (linha == "0")
        {
            break;
        }
        vector<string> temp = split(linha, ' ');

        for (int x = 2; x < 8; x++)
        {
            dezenas[atoi(temp[x].c_str()) - 1][0] = atoi(temp[x].c_str());

            dezenas[atoi(temp[x].c_str()) - 1][1]++;
        }
    }

    int dez[1][1];
    dez[0][0] = 0;
    dez[0][1] = 0;
    dez[1][0] = 0;
    dez[1][1] = 0;

    for (int x = 0; x < 60; x++)
    {
        bool trocou = false;
        for (int y = 0; y < 60 - 1; y++)
        {
            if (dezenas[y][1] < dezenas[y + 1][1])
            {
                trocou = true;
                dez[0][0] = dezenas[y + 1][0];
                dez[0][1] = dezenas[y + 1][1];
                dezenas[y + 1][0] = dezenas[y][0];
                dezenas[y + 1][1] = dezenas[y][1];
                dezenas[y][0] = dez[0][0];
                dezenas[y][1] = dez[0][1];
            }
        }
        if (!trocou)
        {
            break;
        }
    }

    int x = 1;

    for (int y = 0; y < 60; y++)
    {
        cout << x << " " << dezenas[y][0] << " " << dezenas[y][1] << endl;
        x++;
    }

    return 0;
}
